package com.dgtly.goods.mapper;

import com.dgtly.goods.domain.GoodsType;
import java.util.List;

/**
 * 商品分类列Mapper接口
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public interface GoodsTypeMapper 
{
    /**
     * 查询商品分类列
     * 
     * @param id 商品分类列ID
     * @return 商品分类列
     */
    public GoodsType selectGoodsTypeById(Long id);

    /**
     * 查询商品分类列列表
     * 
     * @param goodsType 商品分类列
     * @return 商品分类列集合
     */
    public List<GoodsType> selectGoodsTypeList(GoodsType goodsType);

    /**
     * 新增商品分类列
     * 
     * @param goodsType 商品分类列
     * @return 结果
     */
    public int insertGoodsType(GoodsType goodsType);

    /**
     * 修改商品分类列
     * 
     * @param goodsType 商品分类列
     * @return 结果
     */
    public int updateGoodsType(GoodsType goodsType);

    /**
     * 删除商品分类列
     * 
     * @param id 商品分类列ID
     * @return 结果
     */
    public int deleteGoodsTypeById(Long id);

    /**
     * 批量删除商品分类列
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteGoodsTypeByIds(String[] ids);

    /**
     * 根据条件查询查询数量
     * @param goodsType
     * @return
     */
    public int selectGoodsTypeCount(GoodsType goodsType);
}
